PSROSE(1)

NAME
psrose - Plot (length, azimuth) as windrose diagram or polar histogram (sector or rose diagram).

SYNOPSIS
psrose file [ -Asector_width[r] ] [ -B[p|s]parameters ] [ -C[mode_file] ] [ -D ] [ -Eazimuth/elevation ] [ -I ] [ -Gfill ] [ -H[i][nrec] ] [ -I ] [ -K ] [ -L[wlabel/elabel/slabel/nlabel] ] [ -M[parameters ] [ -O ] [ -P ] [ -Rr0/r1/az_0/az_1 ] [ -Sradial_scale[n] ] [ -T ] [ -U[just/dx/dy/][c|label] ] [ -V ] [ -Wpen ] [ -X[a|c|r][x-shift[u]] ] [ -Y[a|c|r][y-shift[u]] ] [ -Zscale ] [ -ccopies ] [ -:[i|o] ] [ -bi[s|S|d|D[ncol]|c[var1/...]] ]

DESCRIPTION
psrose reads (length,azimuth) pairs from file [or standard input] and generates PostScript code that will plot a windrose diagram. Optionally (with -A), polar histograms may be drawn (sector diagram or rose diagram). Options include full circle and half circle plots. The PostScript code is written to standard output.

file
    Name of ASCII [or binary, see -b] data file. If no file is given, psrose will read standard input.

OPTIONS
No space between the option flag and the associated arguments.

-A  Gives the sector width in degrees for sector and rose diagram. [Default 0 means windrose diagram]. Append r to draw rose diagram instead of sector diagram.

-B  Sets map boundary annotation and tickmark intervals; see the psbasemap man page for all the details. Remember that "x" here is radial distance and "y" is azimuth. The ylabel may be used to plot a figure caption.

-C  Plot vectors showing the principal directions given in the modes file. If no file is given, compute and plot mean direction.

-D  Shift sectors so that they are centered on the bin interval (e.g., first sector is centered on 0 degrees).

-E  Sets the viewpoint's azimuth and elevation [180/90]

-F  Do not draw the scale length bar [Default plots scale in lower right corner]

-G  Selects shade, color or pattern for filling the sectors [Default is no fill]. (See SPECIFYING FILL below).

-H  Input file(s) has header record(s). If used, the default number of header records is N_HEADER_RECS. Use -Hi if only input data should have header records [Default will write out header records if the input data have them]. Blank lines and lines starting with # are always skipped.

-I  Inquire. Computes statistics needed to specify useful -R. No plot is generated.

-K  More PostScript code will be appended later [Default terminates the plot system].

-L  Specify labels for the 0, 90, 180, and 270 degree marks. For full-circle plot the default is WEST/EAST/SOUTH/NORTH and for half-circle the default is 90W/90E/-/0. A - in any entry disables that label. Use -L with no argument to disable all four labels

-M  Specify new arrow attributes tailwidth/headlength/headwidth/r/g/b to change the appearance of arrows (Only if -C is set). [Default is 0.075c/0.3c/0.25c/0/0/0 (or 0.03i/0.12i/0.1i/0/0/0)].

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [Default is Landscape, see gmtdefaults to change this].

-R  Specifies the 'region' of interest in (r,azimuth) space. r0 is 0, r1 is max length in units. For azimuth, specify -90/90 for half circle plot or 0/360 for full circle.

-S  Specifies radius of circle. Append n to normalize input radii to go from 0 to 1.

-T  Specifies that the input data is orientation data (has a 180 degree ambiguity) instead of true 0-360 degree directions [Default].

-U  Draw Unix System time stamp on plot. By adding just/dx/dy/, the user may specify the justification of the stamp and where the stamp should fall on the page relative to lower left corner of the plot. For example, BL/0/0 will align the lower left corner of the time stamp with the lower left corner of the plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME, UNIX_TIME_POS, and UNIX_TIME_FORMAT can affect the appearance; see the gmtdefaults man page for details. The time string will be in the locale set by the environment variable TZ (generally local time).

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Set pen attributes for sector outline or rose plot. [Default is no outline]. (See SPECIFYING PENS below).

-X -Y
    Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If -O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.

-Z  Multiply the data radii by scale. E.g., use -Z 0.001 to convert your data from m to km [Default is no scaling].

-:  Input file has (azimuth,radius) pairs rather than the expected (radius,azimuth).

-bi Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of columns in your binary input file if it exceeds the columns needed by the program. Or append c if the input file is netCDF. Optionally, append var1/var2/... to specify the variables to be read. [Default is 2 input columns].

-c  Specifies the number of plot copies. [Default is 1].

  SPECIFYING PENS

pen The attributes of lines and symbol outlines as defined by pen is a comma delimetered list of width, color and texture, each of which is optional. width can be indicated as a measure (points, centimeters, inches) or as faint, thin[ner|nest], thick[er|est], fat[ter|test], or obese. color specifies a gray shade or color (see SPECIFYING COLOR below). texture is a combination of dashes `-' and dots `.'.

  SPECIFYING FILL

fill
    The attribute fill specifies the solid shade or solid color (see SPECIFYING COLOR below) or the pattern used for filling polygons. Patterns are specified as pdpi/pattern, where pattern gives the number of the built-in pattern (1-90) or the name of a Sun 1-, 8-, or 24-bit raster file. The dpi sets the resolution of the image. For 1-bit rasters: use Pdpi/pattern for inverse video, or append :Fcolor[B[color]] to specify fore- and background colors (use color = - for transparency). See GMT Cookbook & Technical Reference Appendix E for information on individual patterns.

  SPECIFYING COLOR

color
    The color of lines, areas and patterns can be specified by a valid color name; by a gray shade (in the range 0-255); by a decimal color code (r/g/b, each in range 0-255; h-s-v, ranges 0-360, 0-1, 0-1; or c/m/y/k, each in range 0-1); or by a hexadecimal color code (#rrggbb, as used in HTML). See the gmtcolors manpage for more information and a full list of color names.

EXAMPLES
To plot a half circle rose diagram of the data in the file fault_segments.az_r (containing pairs of (azimuth, length in meters), using a 10 degree bin sector width, on a circle of radius = 3 inch, grid going out to radius = 150 km in steps of 25 km with a 30 degree sector interval, radial direction annotated every 50 km, using a light blue shading outlined by a solid red pen (width = 0.75 points), draw the mean azimuth, and shown in Portrait orientation, use:

psrose fault_segments.az_r -R 0/150/-90/90 -B 50g25:"Fault length":/g30:."Rose diagram": -S 3i -A 10r -G lightblue -W 0.75p,red -Z 0.001 -C -P -T -: | lpr

To plot a full circle wind rose diagram of the data in the file lines.r_az, on a circle of radius = 5 cm, grid going out to radius = 500 units in steps of 100 with a 45 degree sector interval, using a solid pen (width = 0.5 point), and shown in landscape [Default] orientation with UNIX timestamp and command line plotted, use:

psrose lines.az_r -R 0/500/0/360 -S 5c -Bg 100/g45:."Windrose diagram": -W 0.5p -Uc | lpr

BUGS
No default radial scale and grid settings for polar histograms. User must run psrose -I to find max length in binned data set.

SEE ALSO
GMT(1), gmtcolors(5), gmtdefaults(1), pshistogram(1)